/*
 *	Librairie RIMM.LDG
 *	module  compiler et  linker avec les autres modules du client
 *
 * Dvelopp par Arnaud BERCEGEAY <bercegeay@atari.org>
 *
 */

#include <ldg.h>
#include "rimm_ldg.h"

/* definitions des pointeurs sur fonctions */

long cdecl (*RIMM_OpenImg)(RIMIMG * rimimg, char * filename, long mode) = NULL;
long cdecl (*RIMM_CloseImg)(RIMIMG * rimimg) = NULL;
long cdecl (*RIMM_LoadImg)(RIMIMG * rimimg) = NULL;
long cdecl (*RIMM_LoadImg_R8V8B8)(RIMIMG * rimimg, short * global) = NULL;
long cdecl (*RIMM_LoadImg_R8V8B8_to_disk)(RIMIMG * rimimg, long Fh, short * global) = NULL;
void cdecl (*RIMM_CompressPalette)(char * palette, long size) = NULL;
void cdecl (*RIMM_ExplainError)( short * global) = NULL;
void cdecl (*RIMM_Init)( short * global, long mode) = NULL;


/* definition de la structure LDG de rimm.ldg */

LDG *ldg_rimm = NULL;


/* initialisation de ces variables */

long init_ldg_rimm (LDG * ldg_rimm) 
{
	RIMM_OpenImg = ldg_find("__OpenImg",ldg_rimm);
	RIMM_CloseImg = ldg_find("__CloseImg",ldg_rimm);
	RIMM_LoadImg = ldg_find("__LoadImg",ldg_rimm);
	RIMM_LoadImg_R8V8B8 = ldg_find("__LoadImg_R8V8B8",ldg_rimm);
	RIMM_LoadImg_R8V8B8_to_disk = ldg_find("__LoadImg_R8V8B8_to_disk",ldg_rimm);
	RIMM_CompressPalette = ldg_find("__CompressPalette",ldg_rimm);
	RIMM_ExplainError = ldg_find("__ExplainError",ldg_rimm);
	RIMM_Init = ldg_find("__Init",ldg_rimm);
		
	if ((RIMM_OpenImg!=NULL) && (RIMM_CloseImg!=NULL)
	    && (RIMM_LoadImg!=NULL) && (RIMM_LoadImg_R8V8B8!=NULL)
	    && (RIMM_CompressPalette!=NULL) && (RIMM_LoadImg_R8V8B8_to_disk!=NULL)
	    && (RIMM_ExplainError!=NULL) && (RIMM_Init!=NULL))
	{
		return 0L ; /* tout est ok */
	}
	
	return -1L; /* manque au moins une fonction */ 
}


/* eof */
